Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 71565
Status: open
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: perl [...] toby.ink
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.02
Fixed in: (no value)



Subject: Module::Install::Admin::Scandeps broken for Perl 5.010
Download (untitled) / with headers
text/plain 288b
$Error_Message = <<'ERROR' Module::CoreList has no information on perl 5.010 at /usr/lib/perl5/ site_perl/5.10.1/Module/Install/Admin/ScanDeps.pm line 25. ERROR Module::CoreList does include information for 5.010000, but not 5.010. Fix attached - should also work for 5.012, 5.014, etc.
Subject: scandeps-5010.diff
Download scandeps-5010.diff
text/x-diff 599b
--- /usr/lib/perl5/site_perl/5.10.1/Module/Install/Admin/ScanDeps.OLD 2011-10-10 10:20:32.129328999 +0100 +++ /usr/lib/perl5/site_perl/5.10.1/Module/Install/Admin/ScanDeps.pm 2011-10-10 10:22:34.858337064 +0100 @@ -22,6 +22,11 @@ require Module::ScanDeps; require Module::CoreList; + if (!exists $Module::CoreList::version{$perl_version} + and exists $Module::CoreList::version{$perl_version.'000'}) { + $perl_version .= '000'; + } + die "Module::CoreList has no information on perl $perl_version" unless exists $Module::CoreList::version{$perl_version};
Download (untitled) / with headers
text/plain 156b
Encountered the same issue. The patch works for me so created a pull request over on github. https://github.com/Perl-Toolchain-Gang/Module-Install/pull/47


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.